@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&display=swap');

:root {
  --white: #fff;
  --off-white: #fdfbf9;
  --off-white-2: #f5efeb;
  --primary-clr: #4b2aad;
  --accent-clr: #9484c6;
  --black: #201445;
  --grey: #5c5856;

  -webkit-font-smoothing: antialiased;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI',
    Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: var(--off-white);
  color: var(--black);
}

img {
  max-width: 100%;
  display: block;
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}

button {
  border: none;
  background-color: transparent;
  font-size: inherit;
}

h1,
h2,
h3,
h4 {
  font-family: Georgia, 'Times New Roman', Times, serif;
}

.wrapper {
  max-width: min(90%, 1400px);
  margin-inline: auto;
}

.btn {
  display: inline-block;
  border: none;
  background-color: var(--primary-clr);
  color: var(--white);
  font-size: 2rem;
  padding: 1rem 1.7rem;
  border-radius: 100vmax;
  font: inherit;
  font-weight: 500;
  letter-spacing: 0.8px;
  cursor: pointer;
  transition: background-color 0.25s ease-in-out;
}

.btn:hover {
  background-color: #2d186b;
}

.btn-light {
  background-color: #9484c6;
}

.btn-light:hover {
  background-color: var(--primary-clr);
}

.section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

.section-cta {
  margin-top: 6rem;
  text-align: center;
}

.section-heading {
  font-family: Georgia, 'Times New Roman', Times, serif;
  font-weight: 600;
  line-height: 1.3;
}

.section .list-heading {
  margin-left: 0;
}

.heading-wrapper {
  max-width: min(90%, 1100px);
  margin: 7rem auto 2rem;
  display: grid;
  gap: 1rem;
  text-align: center;
}

.heading-lg {
  font-size: 2.8rem;
}

.heading-md {
  font-size: 36px;
}

.heading-sm {
  font-size: 30px;
  letter-spacing: -1px;
}

.heading-xsm {
  font-size: 20px;
}

.text {
  line-height: 1.7;
  color: var(--grey);
}

.text-lg {
  font-size: 1.2rem;
}

/***** Nav *****/
.nav-header {
  padding-block: 1rem;
  position: fixed;
  top: 0;
  width: 100%;
  background-color: var(--off-white);
  z-index: 100;
  transition: all 0.25s ease-in-out;
}

.nav-header.sticky {
  background-color: var(--white);
  box-shadow: 0 2px 8px -1px rgba(0, 0, 0, 0.1);
}

.navbar {
  display: flex;
  align-items: center;
}

.logo {
  flex: 1;
  max-width: 76px;
}

.nav-links {
  flex: 2;
  margin-left: 2rem;
  display: flex;
}

.link {
  display: inline-block;
  background-color: transparent;
  border: 4px solid transparent;
  font-size: 1.125rem;
  color: var(--black);
  cursor: pointer;
  letter-spacing: 0.5px;
  padding: 10px;
  border-radius: 100vmax;
  transition: background-color 0.2s ease-in-out;
}

.link:hover {
  background-color: var(--off-white-2);
}

.link:is(:focus, :active) {
  background-color: var(--off-white-2);
  border-color: #9484c659;
}

.dropdown {
  display: flex;
  align-items: center;
  gap: 0.3rem;
  position: relative;
}

.dropdown i {
  font-size: 0.8rem;
}

.subnav {
  position: absolute;
  top: 3rem;
  left: -10px;
  border: 1px solid var(--off-white-2);
  background-color: var(--white);
  border-radius: 8px;
  box-shadow: 0 0.4444444444rem 0.8888888889rem rgba(0, 0, 0, 0.1),
    0 0.2222222222rem 0.2222222222rem rgba(0, 0, 0, 0.02);
  padding: 1.5rem;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  width: 450px;
  opacity: 0;
  visibility: hidden;
}

.subnav.open {
  opacity: 1;
  visibility: visible;
}

.list {
  text-align: left;
}

.list:nth-child(2) {
  border-left: 1px solid var(--off-white-2);
  padding-left: 10px;
}

.list-heading {
  font-family: inherit;
  font-size: 12px;
  text-transform: uppercase;
  color: #9c8881;
  margin-bottom: 10px;
  margin-left: 10px;
  letter-spacing: 0.5px;
}

.list-links {
  display: grid;
  gap: 1rem;
  font-size: 15px;
  text-align: left;
  margin-left: 10px;
}

.list-link {
  font-weight: 300;
  color: #5c5856;
  text-align: left;
  transition: color 0.25s ease-in-out;
}

.list-link:hover {
  color: var(--primary-clr);
}

.subnav-feature {
  font-size: 15px;
  color: var(--primary-clr);
  font-weight: bold;
}

.mobile-nav {
  display: none;
}

/***** Hero *****/
.hero {
  margin-top: 12rem;
  margin-bottom: 2rem;
}

.hero .col {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: start;
  gap: 1rem;
}

.hero .col img {
  border-radius: 8px;
}

.hero .btn {
  font-size: 1.2rem;
}

/***** CTA *****/
.cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
  gap: 2rem;
  margin-top: 4rem;
}

.card-icon i {
  background-color: var(--off-white-2);
  padding: 1rem;
  border-radius: 100vmax;
  color: var(--grey);
  font-size: 1.1rem;
}

.card h4 {
  font-size: 20px;
  margin-block: 1rem;
  line-height: 1.5;
}

/***** courses *****/
.courses .section {
  margin-block: 5rem;
}

.section .text {
  margin-block: 1rem;
}

/***** testimonial *****/
.testimonial {
  margin-block: 7rem;
}

.testimonial .heading-wrapper {
  display: grid;
  place-items: center;
}

.testimonial .stars {
  width: 180px;
}

.testimonial .text {
  font-size: 18px;
}

/***** downloads *****/
.downloads,
.coaching,
.webinars {
  margin-block: 7rem;
}

/***** signup box *****/
.signup-box {
  background-color: var(--black);
  border-radius: 8px;
  padding: 3.5rem;
  text-align: center;
  margin-bottom: 7rem;

  display: grid;
  place-items: center;
  gap: 1rem;
}

.signup-box .heading-sm {
  color: var(--white);
  letter-spacing: -0.01em;
}

.signup-box .text {
  color: #d7d2e8;
}

/***** footer *****/
.footer {
  background-color: var(--off-white-2);
  padding-block: 7rem;
}

.footer-wrapper {
  display: grid;
  gap: 1.5rem;
}

.footer-links {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer-list {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer-link {
  color: var(--grey);
  text-decoration: underline;
  font-size: 18px;
}

.footer-link:hover {
  color: var(--primary-clr);
}

.footer .text {
  font-family: inherit;
  color: var(--black);
}

/* Media Queries */
@media screen and (max-width: 1000px) {
  .login-btns {
    display: none;
  }

  .mobile-nav {
    display: block;
  }

  .nav-links {
    position: absolute;
    top: 4rem;
    width: 100%;
    background-color: #fff;
    flex-direction: column;
    margin-left: 0;
    border: 1px solid var(--off-white-2);
    border-radius: 8px;
    padding: 2rem;
    opacity: 0;
    visibility: hidden;
    transition: all 0.25s ease-in-out;
  }

  .nav-links.show {
    opacity: 1;
    visibility: visible;
  }

  .navbar {
    justify-content: space-between;
    position: relative;
  }

  .section {
    grid-template-columns: 1fr;
  }

  .heading-lg {
    font-size: 2.4rem;
  }

  .heading-md {
    font-size: 30px;
  }

  .heading-sm {
    font-size: 24px;
    letter-spacing: -1px;
  }

  .heading-xsm {
    font-size: 20px;
  }

  .signup-box {
    padding: 2.5rem;
  }
}
